About creating a chart for the Web

This topic contains reference information about:

Overview

Before you begin

Preparing the source data

Creating a chart by using the Chart Wizard

Customizing your chart

Testing and publishing

Overview

Charts are visually appealing and make it easy for users to see comparisons, patterns, and trends in data. By using the Chart Component, you can create dynamic, interactive charts that you can make available on a Web site for viewing in a browser. When the data for a chart changes, the chart automatically updates at the same time.

Chart and spreadsheet on a Web page

An example of a chart that uses data from a Spreadsheet Component control on a Web page. When the user working in the browser changes the values in the spreadsheet, the chart updates to reflect the changes.

Charts for the Web can use data from database tables and queries and from spreadsheets and PivotTable lists that you create with Microsoft Office Web Components, which you install and create on Web pages or publish from Microsoft Excel.

Design process The process of designing a chart has several steps, each of which is covered in more detail in this topic. The following is an overview of that process:

  • Before you begin

  • Prepare the data you want to use in your chart.

  • Place a chart control on your Web page and then use the Chart Wizard to pick the chart type and specify the data source you want to use.

  • Customize the chart.

  • Publish the chart on a Web page.

Return to top

Before you begin

How will users work with the data? Before you begin designing a chart, you should consider whether your users have the required browser and access to the Microsoft Office Web Components.

To view and work with charts, users must have the Office Web Components installed. They can do this by installing Microsoft Office 2000 or, if their company has an Office 2000 site license, by downloading the Office Web Components from their corporate intranet. Users must also have Microsoft Internet Explorer version 4.01 or later to work with a chart. Learn more about how users can work with a chart in the browser.

Do you have the right design program? The design program is the program you use to create or modify charts. Different design programs provide different capabilities. For example, you can use the extensive charting features of Microsoft Excel to create a chart and save or publish it as either a static chart (a picture) or an interactive chart. You can use the tools in Microsoft FrontPage 2000 to create dynamic Web pages that include charts and then publish the page to a Web site. Or you can use Microsoft Access data access page Design view to take advantage of its automatic database connection features. You can open the Web page that contains the chart and modify the chart in FrontPage 2000 or Access data access page Design view. You cannot use Excel to open and modify a chart that was published on or as a Web page.

Learn about capabilities of different design programs.

Return to top

Preparing the source data you want to use in your chart

In charts for the Web, you can use data from a database, a Microsoft Office Spreadsheet Component control, or a Microsoft Office PivotTable Component control.

If you want to chart data from a spreadsheet or PivotTable list, you must first open a Web page that contains one of these controls, or you must create a new control with the data you want to use on a Web page.

If you want to chart data from a database, you must access and open the database and, if necessary, run queries to get the data you want to chart. For example, if you have a table that contains yearly sales figures for five years, and you want to chart sales figures for only one of those years, you can run a query that returns the sales figures for the year you want and then use the query as the source data for the chart. Learn more about data sources for a chart for the Web

Return to top

Creating a chart by using the Chart Wizard

After you have the data you want to use in your chart ready, follow the instructions in your design program to place the chart control on your Web page.

When you place the chart control on your Web page, the Chart Wizard automatically starts and allows you to select the chart type you want to use, select the data you want to use from a list of open and available data sources, and, depending on the type of data you're using, choose the way you want to display the data.

Return to top

Customizing your chart

Chart Property Toolbox After you have created a chart, you can change chart types, change formatting options, add labels and titles, change the font text and style, and more by using the Chart Property Toolbox.

Chart Property Toolbox

The Chart Property Toolbox includes command buttons and options for formatting the appearance of your chart. You can change, for example, the color of data markers, the placement of a legend, or the spacing of values on an axis. The contents of the Chart Property Toolbox change as you select different parts of a chart.

The commands and properties in the property toolbox are distributed among several sections, each identified by a bar displaying the name of the section. The available sections change depending on what part of the chart is currently selected. When you first display the Chart Property Toolbox, the General commands and properties are displayed. You can display and hide the contents of the sections by clicking the bars. How to use the Property Toolbox.

Provide custom instructions You can add descriptive text or other information about the chart just by typing it in a visible place on the Web page. Learn about providing custom instructions for charts.

Scripts Although users cannot change the appearance or formatting of the chart in the browser, many of the features and capabilities of the Chart Component control can be accessed and controlled with scripts. If you are familiar with writing scripts for Web pages in a language such as Visual Basic Scripting Edition (VBScript) or JavaScript, you can add scripts to the chart to change the chart appearance or provide information to the user in response to user input in the browser.

Your design program might provide facilities for writing scripts. For example, Microsoft Office programs provide the Microsoft Script Editor. For information about writing scripts, see Help in your design program. For information about accessing features and capabilities of a chart from a script, see the programming Help for the Chart Component.

Return to top

Testing and publishing

Check the chart in the browser Before making the chart available to your users, you should test it in the browser. Microsoft Internet Explorer 5 is recommended for working with charts for the Web. Users with Internet Explorer version 4.01 or later can also view and interact with the chart. If your users have different browser versions, you might want to test the chart in each version to make sure the chart is displayed properly and that it updates information properly. Learn about how users in the browser can work with a chart for the Web.

Publish the Web page When you are satisfied with the results, make your Web page available to your users. See Help in your design program for information about publishing Web pages, or consult with your Webmaster or network administrator.

Return to top


Create a chart for the Web

The specific steps for creating a chart for the Web depend on the program you are using to design your Web page. For more information, see Help for that program. If your design program Help does not provide a procedure for creating controls such as charts, follow these steps:

  1. In your design program, open or create the database, project, or Web page that contains the data you want to use in your chart.

  2. Activate the page where you want to put the chart.

  3. By using the design program's procedure for adding a control to a Web page, designate the location and initial size of the chart control on the Web page.

  4. Follow the instructions in the Microsoft Office Chart Wizard.

Tips

  • If you're using a Microsoft Office Web Component spreadsheet as your data source, you can select the range of cells that contains the data you want to use before adding the chart to your Web page. When you do this, the data range is automatically set in the chart wizard.

  • If you need help on any of the steps of the chart wizard, click the Help button [image] in the wizard.

  • After you have created the chart, you cannot change the chart's options or source data by running the chart wizard again. To change some chart options, use the Chart Property Toolbox. To change the source data, create a new chart.


About design programs for charts for the Web

You can create and modify charts for the Web in several programs. You can create the chart in one program, and later use a different program to modify the chart or the Web page that it's on. The choice of which design program you use depends on the amount of design or administrative work you want to do on the Web page itself, the type of source data you want to use, and your own familiarity with different design programs. For instance, if your source data originates on a Microsoft Excel worksheet, you can create and publish a chart in Microsoft Excel 2000. If your source data originates in a database, it might be easier to use data access page Design view in Microsoft Access 2000. If you want to add special effects to your Web page, or add the page to a Web site, you can use Microsoft FrontPage 2000. If you're a programmer, you can use Microsoft Visual Basic to create a chart on a form and then automate the chart. This topic provides information about creating and modifying charts in the following programs:

Microsoft Excel 2000

Microsoft FrontPage 2000

Microsoft Access 2000

Microsoft Visual Basic

Microsoft Excel 2000

If your source data originates on a worksheet, or if want to try different chart types and adjust the source data you make available for your chart, Microsoft Excel is an excellent design environment. When you publish a chart from Excel, the source data you specify is automatically attached to the chart and published on the same page as an interactive spreadsheet or PivotTable list. Most Excel chart features are included when you publish. Learn more about working with a chart that was published from Excel.

After you've published a chart from Excel, you can modify the original chart in Excel (if you saved the .xls file) and republish it, but you can't modify the published chart in Excel. You can, however, open the Web page with the published chart in FrontPage 2000 or in data access page Design view in Microsoft Access and modify the chart, the Web page, or both. Learn about getting help publishing a chart from Excel or how to work with a chart that was published from Excel.

Return to top

Microsoft FrontPage 2000

You can create and modify charts for the Web in FrontPage 2000. You can also use the extensive Web page editing and administrative features of FrontPage to add other controls, graphics, themes, and more to your Web page, and then make the page part of your Web site. Learn more about getting help in FrontPage.

Microsoft FrontPage 2000 is available in Microsoft Office 2000 Premium.

Return to top

Microsoft Access 2000

For creating Web pages, Microsoft Access 2000 provides special features that operate on and display data from databases. You can use Access to establish a connection between an Access database and the source data you want for a chart, and then use the automatic features in data access page Design view to attach the data to the chart. For example, you can drop a table on a Web page by using the Field List, and then create a chart on the Web page that uses the data in the table. You can also establish connections between charts and other controls that display and manipulate data from databases on a Web page. Use data access page Design view in Access when you want to create charts for users who have Internet Explorer 5 or later. Learn more about getting help in Access

Microsoft Access 2000 is available in Microsoft Office 2000 Professional and Office 2000 Premium.

Return to top

Microsoft Visual Basic

If you are a programmer and you need a more comprehensive programming environment than the scripting capabilities of the Microsoft Script Editor or that Excel or Access provide, you can create charts by using the Visual Basic programming language. However, the Visual Basic programming environment does not provide access to the Microsoft Office Chart Wizard or to the Chart Property Toolbox, so all chart creation, modification, and data binding must be accomplished through code. Get help programming a chart for the Web.

Return to top


About source data for charts for the Web

Before you create a chart for the Web, your source data must be available for use, and in most cases, it must exist on the same Web page where you want to put your chart. You can create charts for the Web that use data from the following sources:

A Spreadsheet Component control The Spreadsheet Component is a Microsoft Office Web Component that you can use to display calculations in a spreadsheet on a Web page. Your users can use and change the data in the spreadsheet in their Web browsers. When data in the spreadsheet is changed, the chart that uses it is updated. The spreadsheet and the chart must be on the same Web page.

You can create a spreadsheet in any design program that supports the Microsoft Office Web Components, such as data access page Design view in Microsoft Access. Or if you already have data in a worksheet in Microsoft Excel 2000, you can publish the data as an interactive spreadsheet. You can also create a chart that uses the worksheet data in Microsoft Excel, and when you publish the chart as an interactive chart, an interactive spreadsheet is also published. For more information on publishing spreadsheet controls, see Help for your design program.

A PivotTable Component control The PivotTable Component is an Office Web Component that you can use to present data from a database or other source on a Web page. Your users can interact with the PivotTable list in their Web browsers. When data in the PivotTable list is changed, any chart that uses it is automatically updated. The PivotTable list and the chart must be on the same Web page.

Before creating the chart, you will need to create, design, and access the necessary data for the PivotTable list. A PivotTable list can be created in a design program that supports the Microsoft Office Web Components, such as data access page Design view in Microsoft Access, or the PivotTable list can be published from Microsoft Excel. For more information about creating a PivotTable list, see Help for your design program.

A table or query in a database You can base a chart on data from any table, query, or view that you have access to from within your design program. For instance, you can use data in a table or query in an Access database or an Access project connected to a Microsoft SQL Server database. When the data is updated, the chart updates.

Depending on the type of database you want to access and the design program you're using, you might need to set up a data source or other means of access to the data and set up access permissions. A data source is a stored piece of information, sometimes in the form of a text file, that contains the name of the database driver and other pertinent information that's used to establish a connection and retrieve data. For information about how to access data from a database, see Help for your design program.

More information

About creating a chart for the Web

Create a chart for the Web


Elements of a chart for the Web

This topic contains reference information about:

How data is represented in a chart

Axes in charts

Titles and labels in charts

Elements of a chart: How data is represented

Example of chart elements that represent data

Category A group of related data points made up of one data point from each data series in the chart. For most charts, categories are plotted along the category (x) axis, which is usually horizontal. However, in some charts the value (x) axis is vertical, as in a bar chart. In the preceding chart example, Qtr1, Qtr2, Qtr3, and Qtr4 are categories, each made up of one point from the Projected series and one point from the Actual series.

Data marker Used to represent a data point, which is an individual value plotted in a chart. Related data points constitute a data series. Examples of data markers include bars, dots, and slices.

Data series A group of related data points plotted in a chart. Each data series has a unique color or pattern and is represented in the legend by the legend key and series name. In the preceding chart example, Projected and Actual are data series. You can plot one or more data series in most charts.

Gridlines in charts Lines you can add to a chart that make it easier to view and evaluate data. Gridlines extend from the tick marks on an axis across the plot area.

Legend A key to the patterns or colors assigned to the data series or categories in a chart.

Legend keys Images in a legend that show the patterns and colors assigned to the data series or categories in a chart. Legend keys appear to the left of legend entries.

Plot area The area in a chart that's bounded by the axes and includes all the data series.

Return to top

Elements of a chart: Axes

Axes in a chart

Value (y) axis A line that borders one side of the plot area, providing a frame of reference for measurement or comparison in a chart. For most charts, data values are plotted along the value (y) axis, which is usually vertical. However, in some charts the value (y) axis is horizontal, as in a bar chart. Some charts have data values plotted on both axes, as in an xy (scatter) chart.

Value (y) axis tick mark labels Also known as value axis labels. These labels describe the values of measurement on the value axis.

Value (y) axis title A title that is usually used to describe what the value axis measures.

Major and minor tick marks Small lines of measurement that intersect an axis, similar to divisions on a ruler. Major tick marks appear at each major unit of measure on the axis scale, and minor tick marks appear at each minor unit of measure. Both types can be positioned inside or outside of the axis or can be positioned to cross the axis.

Category (x) axis A line that borders one side of the plot area, providing a frame of reference for measurement or comparison in a chart. Categories are groups of data points made up of one data point from each data series in the chart. For most charts, categories are plotted along the category (x) axis, which is usually horizontal. However, in some charts the value (x) axis is vertical, as in a bar chart. Some charts do not have a category axis, as in an xy (scatter) chart.

Category (x) axis tick mark labels Also known as category labels. These labels show the names of the categories on the category axis.

Category (x) axis title A title that is usually used to describe what is plotted on the category axis.

Return to top

Elements of a chart: Titles and labels

Titles and labels in a chart

Chart title The title that describes the chart. This title can be positioned above, below, to the left of, or to the right of the chart.

Value axis labels Also known as tick mark labels. These labels describe the values of measurement on the value axis.

Value axis title A title that is usually used to describe what the value axis measures.

Category labels Also known as tick mark labels. These labels show the names of categories on the category axis. A category is a group of related data points, made up of one data point from each data series in the chart.

Category axis title A title that is usually used to describe what is plotted on the category axis.

Series name A name that describes a group of related data points that make up one data series. Series names are shown in the legend next to their legend keys. In the preceding chart example, Projected and Actual are series names that correspond to data markers in the chart.

Data label A label that provides additional information about a data marker, which represents a single data point or value. Depending on the chart type, data labels can show values, names of data series or categories, percentages, or a combination of these.

Return to top


Ways to select chart itemsAbout selecting items in a chart for the Web

About selecting items in a chart for the Web

Activate the chart To select an item in a chart for the Web, you must first make the chart active. To activate it, or select it, you must click it either once or twice, depending on your design program. In data access pages, clicking once selects the chart. White selection handles appear on its border.

Chart selected in a data access page

A chart selected in a data access page

Clicking a second time activates the chart you click. A highlighted border appears on the selected chart.

Chart activated in a data access page

A chart activated in a data access page

After the chart is active, you can then select items within it.

To select items in a chart

Click the item To select a series or group of items, click once. To select an individual item within a series or group, click a second time.

Chart with data marker selected

Chart with the data marker selected

Use the selection box Alternatively, you can select the item by clicking its name in the selection list in the General section of the Chart Property Toolbox. For example, to select the first series in a chart, activate the chart, and then click Chart 1 Series 1 in the selection list.


How users in the browser can interact with a chart for the Web

To view and work with charts for the Web, users must use Microsoft Internet Explorer version 4.01 or later and have the Microsoft Office Web Components installed. They can install the components by installing Microsoft Office 2000 or, if their company has an Office 2000 site license, by downloading the Office Web Components from their corporate intranet. For more information, contact your network administrator.

In the browser at run time, users can view the chart you've created and see the chart automatically update as changes are made to the data that's reflected in the chart. For instance, if you create a chart that uses stock prices, and the data is updated to reflect the most recent price, users will see the chart change to reflect the new price.

Changing the data that's reflected in a chart Users can change the data that's reflected in a chart, depending on the type of source data and level of access you give them. For instance, you can provide a spreadsheet and corresponding chart on a Web page and allow users to change some but not all of the data in the spreadsheet. When the user changes the data in the spreadsheet, the chart is updated.

Changing the chart Users in the browser don't have access to the Chart Property Toolbox or Chart Component Help. This means that they can't change the chart type or any type of formatting in the chart. You can, however, write scripts that change the chart, based on user actions. For example, you can add a button to your Web page that users can click to change the chart type. Learn about getting help for programming a chart.

How the browser version affects what users can do To interact with a chart means that you can change the chart's source data and see the chart update. To interact with a chart, users need Microsoft Internet Explorer version 4.01 or later. It's recommended that users have Internet Explorer 5, which comes with Microsoft Office 2000, installed to take full advantage of the interactive capabilities of the chart and its source data. To learn more about the level of interactivity with the chart's source data in different browser versions, see Help for the source data.

Help for the user in the browser The user in the browser has access to the Help system in the browser itself, and any Help content that's provided with the data source for the chart. For instance, if a chart is created that uses data from a PivotTable list component, users can view PivotTable list Help to learn how to change the data in the PivotTable list. Learn about providing your own custom instructions for a chart in the browser.


Examples of chart types for charts for the Web

This topic contains reference information about the following chart types:

Area

Column

Bar

Line

Smooth Line

Pie

Doughnut

Stock

XY (scatter)

Bubble

Radar

Polar

Area

An area chart emphasizes the magnitude of change over time. By displaying the sum of the plotted values, an area chart also shows the relationship of parts to a whole.

In this example, an area chart emphasizes increased sales in Washington State and illustrates the contribution of each state to total sales.

Return to top

Column

A column chart shows data changes over a period of time or illustrates comparisons among items. To emphasize variation over time, categories are organized horizontally and values are organized vertically.

Stacked column charts show the relationship of individual items to the whole.

Stacked column chart

Return to top

Bar

A bar chart illustrates comparisons among individual items. To focus on comparing values and to place less emphasis on time, categories are organized vertically and values are organized horizontally.

Stacked bar charts show the relationship of individual items to the whole.

Stacked bar chart

Return to top

Line

A line chart shows trends in data at equal intervals.

Return to top

Smooth Line

Smooth line chart

A smooth line chart shows trends in data at equal intervals, smoothed to show the estimated data between intervals.

Return to top

Pie

A pie chart shows the proportional size of items that make up a data series to the sum of the items. It always shows only one data series and is useful when you want to emphasize a significant element.

You can also create a stacked pie chart, which is a pie chart with more than one series.

Stacked pie chart

Return to top

Doughnut

Like a pie chart, a doughnut chart shows the relationship of parts to a whole, but a doughnut chart can contain more than one data series. Each ring of the doughnut chart represents a data series.

Return to top

Stock

There are two stock chart types that are often used to illustrate stock prices — open-high-low-close and high-low-close. These charts can also be used for scientific data — for example, to indicate high-low-average temperatures. To create these charts, you must organize your data in the correct order. The chart in the example is a high-low-close chart.

Data to be charted and stock chart

Return to top

XY (scatter)

An xy (scatter) chart either shows the relationships among the numeric values in several data series or plots two groups of numbers as one series of xy coordinates. This chart shows uneven intervals — or clusters — of data and is commonly used for scientific data.

When you arrange your data, place the x values in one row or column and then enter the corresponding y values in the adjacent rows or columns.

Data to be charted

XY (scatter) chart

Return to top

Bubble

A bubble chart is a type of xy (scatter) chart. The size of the data marker indicates the value of a third variable.

To arrange your data, place the x values in one row or column and then enter the corresponding y values and bubble sizes in the adjacent rows or columns.

Data to be charted

Return to top

Radar

In a radar chart, each category has its own value axis that radiates from the center point. Lines connect all the values in the same series.

A radar chart compares the aggregate values of several data series. In this chart, the data series that covers the most area, Brand A, represents the brand with the highest vitamin content.

Return to top

Polar

A polar chart compares the relationship of angles and distances. The chart in this example illustrates elevation angles for two heights of a radio antenna.

Return to top


Display the Help Table of Contents for your design program

When you display a chart for the Web Help topic, the Contents tab in the Help window lists only chart for the Web Help topics.

To display the topics in the Help for your design program:

  1. Click the Answer Wizard tab in the Help window, type a question about a subject other than a chart for the Web, and then click Search.

  2. Click a topic in the Help for your design program, and then click Display.

  3. Click the Contents tab to see the Help contents for the design program.


Getting additional help for charts for the Web

This topic provides information about:

Getting help in other design programs

Getting help with writing scripts and programs that use charts for the Web

Getting help in other design programs

When you are working in a design program, you can get help designing a chart in either of two ways:

  • Design program Help For information about the commands and features available in the design program to work with charts, see Help for the design program. For example, in Microsoft Access, click the Office Assistant, or click Microsoft Access Help [image].

    Microsoft Excel provides both general Help about saving Excel data for use on Web pages and specific information about saving charts for use on Web pages. To access this Help in Excel, click the Office Assistant, or click Microsoft Excel Help [image].

  • Chart design-time Help If you have access to the Chart Property Toolbox in another design program, you have access to the Help topics you are viewing now. In a chart that you have created or activated in a design program, click Help [image] in the Chart Property Toolbox or click Help on the chart shortcut menu.

Return to top

Getting help with writing scripts and programs that use charts for the Web

You can use scripts and programs to automate charts, or you can include charts in run-time programs other than Web browsers, programs that you develop in a programming environment such as Microsoft Visual Basic.

Writing scripts Microsoft Office 2000 programs provide the Microsoft Script Editor to help you write scripts. For example, you can use the Script Editor from data access page Design view in Microsoft Access to customize a chart. For information about running the Script Editor, see Help in your Office design program. In the Microsoft Script Editor, you can display additional Help about using its features and writing scripts.

Object model Help For Help developing a program or script to work with a chart list, you can display information about the object model, properties, and methods specific to charts. This object model Help is installed whenever you install the Microsoft Office Web Components, of which the Chart Component is one. Depending on the design program you're using, you can access this Help in either of two ways:

  • Help in Microsoft Visual Basic In Visual Basic or Visual Basic for Applications, you can create a reference to the Microsoft Office Web Components library. You will then have access to Help through the object browser or by selecting a keyword and pressing F1. For information about creating references and using object model Help, see Help in Visual Basic for Visual Basic for Applications.

  • Help in other environments If you are using another development environment, locate and double-click the Help file Msowcvba.chm.

Return to top


Change the data that's reflected in a chart for the Web

  • To change the data in a chart, change the data in the source that your chart uses (such as the spreadsheet, PivotTable list, table, or query you specified when you created the chart), and the chart will automatically be updated.

Note After you have created a chart, you cannot use the Microsoft Office Chart Wizard or any other method to specify different source data for the chart (such as changing the source data from one table to another table). Instead, you must use the chart wizard to create a new chart.


About creating and using a chart for the Web that's based on a PivotTable list

When you create and use a chart that's based on a PivotTable list, the chart plots all of the data that's displayed in the PivotTable list and dynamically updates to reflect the changes to the view of data in the PivotTable list. For example, if you add a row or column field to the PivotTable list, the chart will update to reflect the new field as either category or series data. When you filter or hide information, such as when you drag a field away from a PivotTable list so that the information is no longer included in the view of the list, the information is also removed from the chart.

Before you begin Before you create a chart that's based on a PivotTable list, be sure to arrange your data in the rows and columns you want to see in the chart. The row and column fields in a PivotTable list make up the category and series data in your chart. If all the displayed fields are in the detail area, for example, the chart has no categories and series to plot. From the detail area or PivotTable Field List, move at least one field to the row area and one field to the column area. In the Microsoft Office Chart Wizard, you can select whether the data in the rows or the columns of the PivotTable list will be initially shown in the chart as series data. You must also add at least one total field to the PivotTable list in order to have the data reflected in the chart.

For help working with a PivotTable list, see Help in the PivotTable Component.

Example The following example shows a chart that's based on a PivotTable list. A Sum of Sales total field has been added to show totals for each type of product per salesperson. The blue arrow next to the Salesperson field label shows that the field is filtered to show totals for only four of the salespeople.

PivotTable list and chart based on PivotTable list

A chart that's based on a PivotTable list. The PivotTable list column field Type is shown in the chart as category data (Beverages, Dairy, and so on). The Salesperson row field is shown in the chart as series data. The names of the series are displayed in the legend (Buchanan, Davolio, and so on).

When you add or move fields in the PivotTable list, the chart is updated to reflect the changes:

PivotTable list and chart are updated based on changes in PivotTable list

In the preceding example, the Salesperson field was moved to the column area and the Type field was moved to the row area of the PivotTable list. The Region field was added to the column area and filtered to show only East and North. The chart was updated so that the Type field is reflected in the legend as series data, and the Salesperson and Region fields are reflected as categories.


About providing custom instructions for a chart for the Web

Help available from the browser For users who have Microsoft Internet Explorer version 4.01 or later and a Microsoft Office 2000 license, Help that's specific to charts is available only in the Help topics for the spreadsheet and the PivotTable list. There is not a separate run-time Help system available for charts.

Providing custom instructions If you want to provide specific instructions or information about a chart, you can provide text on the Web page. You can describe the chart, or you can provide a hyperlink to a separate Web page of instructions. For more information on including text or a hyperlink on your Web page, consult Help in your Web page design program.


About working with charts that were published from Microsoft Excel

Some Microsoft Excel charting features are not retained when you publish a chart with interactive functionality on a Web page from Excel. This topic provides a list that shows which features are retained, changed, or lost.

You can use another design program to open and modify a Web page that was created from Excel. For example, you can use Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000. However, some features of Excel-published charts are lost when Web pages are opened in other design programs. This topic also lists the Excel charting features that publish successfully but that aren't available in other design programs. Learn about design programs for creating charts for the Web.

This topic provides information about:

Excel charting features that are changed or not retained in a chart for the Web

Excel charting features that can't be created or modified in another design program

Features that are changed or not retained

The following Excel chart features are not retained or are changed to comply with default Chart Component control features when you publish a chart on a Web page.

Chart types

Excel feature | Result in published chart
3-D chart types | Changed to 2-D chart types.
Surface chart type | Changed to column chart type.

Formatting

Excel feature | Result in published chart
Plot visible cells only | All data is plotted, even data in hidden cells.
Auto scale fonts | Changed to the default font size.
Individual data label formatting | Changed to the default data label formatting.
Positioning of category axis labels on line charts between categories (points) by default | Centered on data points.
Custom positioning and sizing of chart items | Changed to the default position and size.
Multicolumn legend layout | Changed to the default legend layout.
Time-scale axis | Changed to the default category axis with text labels.
High-low lines | Not retained.
Series lines | Not retained.
Shadows | Not retained.
Drawing objects, text boxes, and pictures on the chart | Not retained.
Semitransparent fills | Not retained.

Analysis

Excel feature | Result in published chart
Trendlines | Trendlines are plotted through data points and to the borders of the plot area, giving a slightly different appearance than in Excel, where trendlines are plotted through data points but not to the borders of the plot area.
Moving average trendlines | Not retained.
Error bars that are calculated by using the standard error | Error bars are changed to use the default calculation.
Error bars that are calculated by using standard deviation | Error bars are changed to use the default calculation.

Return to top

Features that are retained but that can't be created or modified in another design program

The following Microsoft Excel chart features are retained when you publish a chart with interactive functionality from Excel. However, these features can't be created or modified when the Web page is opened in another design program. If you do modify the feature or the series to which the feature is applied, the feature is no longer retained.

  • A secondary value axis, which is used to plot data that varies widely or is of another type from the primary data. The secondary axis is on a different scale from the primary axis.

  • Some combination charts, such as a column chart that's combined with a pie chart.

  • The ability to vary colors by point, which is usually applied to single-series charts in Excel. When you apply the Vary colors by point option in Excel, each data marker in one series is a different color, rather than the standard single color for each data marker in a series.

Return to top

More information

Get help with publishing a chart in Microsoft Excel

How to work with a chart published from Microsoft Excel


Work with a chart for the Web that was saved or published by using Excel

Use this procedure only with an interactive chart that was saved or published by using Microsoft Excel. For more information on saving or publishing interactive charts in Excel, see Excel Help.

  1. By using the instructions in your design program, open the Web page that was created when the interactive chart was saved or published in Microsoft Excel.

  2. In the design window, make sure the chart is activated. For instructions, see Help for your design program.

  3. Make changes by using the Chart Property Toolbox.

    How to display the Chart Property Toolbox.

Notes

  • The interactive chart that was saved or published by using Excel might not look the same when you open it in another design program or in Microsoft Internet Explorer. Certain features, such as three-dimensional (3-D) chart types, free-floating text, and graphic objects placed on top of the chart, are not retained in a chart for the Web.

  • Some chart features that you create in Excel, including secondary value axes, varied colors by points, and some chart types, are retained when you open the chart in another design program. However, these features cannot be created in other design programs, and if you attempt to modify these features or the series to which they apply, they will no longer be retained. Learn more about working with a chart that was saved or published by using Excel.


Change the display of chart labels, titles, legends, gridlines or axes in a chart for the WebChange formatting and display options in a chart for the Web

Change formatting and display options in a chart for the Web

Some of these items are available only in certain types of charts and on certain chart elements.

What do you want to do?

Add items to a chart

Add data labels to a chart

Add a title to a chart

Add a legend to a chart

Add an axis to a chart

Change chart elements

Change the chart type

Show or hide gridlines

Rotate or flip the plot area

Change a border or an interior color

Change a legend

Change the axes

Rotate the position of slices in doughnut and pie charts

Pull out slices in pie and doughnut charts

Change the hole size in a doughnut chart

Change the size, color, or shape of data markers in an xy (scatter), line, or radar chart

Overlap or space data markers in column and bar charts

Change the appearance of text and values

Change a title

Change the data labels

Change the font and size of text

Change the number formatting

Remove items

Remove a title, a legend, the axes, or the data labels


Display the Chart Property Toolbox

  1. Activate the chart.

    To activate the chart you must click it either once or twice, depending on your design program. For more information, see the help in your design program.

  2. Right-click the chart, and then click Property Toolbox on the shortcut menu.

Note In Microsoft Access 2000 data access pages, you must be in Design view to display the Chart Property Toolbox. See Help in Access for more information.


Use the Chart Property Toolbox to modify a chart for the Web

  1. Display the Chart Property Toolbox.

    How?

  2. Select the part of the chart that you want to modify.

    How?

  3. To display or hide the contents of a section, click the bar with the name of that section.

Note If you leave the Chart Property Toolbox displayed while you select different parts of the chart, the available sections and their contents change to reflect your current selection.


Number formats in charts for the Web

Microsoft Office Chart uses the regional settings in the Regional Settings Properties dialog box in Windows Control Panel to determine how number, currency, date, and time formats are displayed in charts for the Web, both in the design program and at run time in the browser. For example, these settings determine whether years are displayed with two digits or four digits. To check your current settings or change them, double-click Regional Settings in Windows Control Panel. See Windows Help for information about these formats.

In Microsoft Visual Basic or in a script, you can assign custom number formats to the data. For more information, see Help for writing scripts and programs that use charts for the Web.

The following number formats are available in the Number format list in the Font section of the Chart Property Toolbox.

Format | Effects
General number | Displays a number with no thousands separator, and preceded by a minus sign if negative. For example, –36403. Displays up to 11 digits, or 10 digits with a decimal point, rounding additional digits to the right of the decimal point. Displays numbers with more than 11 digits to the left of the decimal point in scientific format. Displays numbers right aligned and text left aligned.
General date | Displays a serial number as a date and/or time. For example, 36403.24583 appears as 8/31/99 05:54 AM. The decimal part of the number is the time. If a number has no decimal part, the format displays only a date. For example, 35920 appears as 5/5/98. If a number has only a decimal part, the format displays only a time. For example, .77 appears as 6:28 PM.
Long date | Displays a date by using the Control Panel regional setting for the long date format. An example is Thursday, January 25, 2001.
Medium date | Displays a date according to the Windows regional setting for the month and date separator, and displays two digits for the year. For example, Jan/25/01.
Short date | Displays a date by using the Control Panel regional setting for the short date format. An example is 1/25/01.
Long time | Displays time by using the Control Panel regional setting for the long time format. An example is 8:45:36 PM.
Medium time | Displays time in 12-hour format, including the AM or PM designator and not including seconds. For example, 8:45 PM.
Short time | Displays time in 24-hour format, not including the AM or PM designator and not including seconds. For example, 8:45 PM appears as 20:45.
Currency | Displays a number by using the Control Panel regional setting for currency, with a currency symbol and a thousands separator, if appropriate, and out two decimal places. For example, $2,532.75.
Euro currency | Displays a number as euro currency, with a thousands separator and out two decimal places. The euro sign is placed before or after the number according to the regional settings for currency in Windows Control Panel. For example, with the default United States English regional settings, [image] 12.35.
Fixed | Displays a number out two decimal places. For example, 68.3 appears as 68.30.
Standard | Displays a number out two decimal places, using the thousands separator specified in the list separator setting in the Control Panel regional settings. For example, 1800 appears as 1,800.00.
Percent | Displays a number multiplied by 100, out two decimal places and including a percent sign. For example, 0.8914 appears as 89.14%.
Axis percent | Displays a number multiplied by 100, including a percent sign. For example, the number 5 appears as 500%.
Scientific | Displays a number in exponential notation. For example, 1.25E+10.
Yes/no | Displays No if the number is 0, and displays Yes for any other number.
True/false | Displays False if the number is 0, and displays True for any other number.
On/off | Displays Off if the number is 0, and displays On for any other number.


Change number formats in a chart for the WebChange the number formatting in a chart for the Web

Change the number formatting in a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the value axis or data labels that you want to change.

  3. If the Font section in the Chart Property Toolbox is not expanded, click the Font bar.

  4. In the Number format list, click the format you want.

Note You cannot change the number format for category axis labels.

Learn more about number formats


Show or hide a legend in a chart for the WebShow or hide a legend for a chart for the Web

Show or hide a legend for a chart for the Web

By using this procedure, you can show or hide a legend for a chart for the Web. A legend identifies the name and color of each series in your chart, or in the case of a pie chart, a legend identifies the name and color of each point within one series.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the chart for which you want to show or hide a legend.

  3. If the Chart section in the Chart Property Toolbox is not expanded, click the Chart bar.

  4. Select or clear the Show legend check box.

Notes

  • The chart is resized automatically to accommodate the legend. You cannot change the size of a legend manually.

  • You can change the position and appearance of the legend.


Change the legend in a chart or chart workspace for the WebChange the legend in a chart for the Web

Change the legend in a chart for the Web

What do you want to do?

Move a legend

Change the border weight or background color of the legend

Change the font, size, or color of text in the legend


Change the position or appearance of a legend in a chart or chart workspace for the WebMove a legend in a chart for the Web

Move a legend in a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the legend you want to change.

  3. If the Legend section in the Chart Property Toolbox is not expanded, click the Legend bar.

  4. In the Placement list, click the option you want.

Note You cannot move the legend by using the mouse.

Tips

  • You can change the border weight or color and the background color of the legend.

  • You can change the font size, type, color, or attributes of the text in the legend.


Remove data labels, titles, axes or legends in a chart for the WebRemove a title, a legend, the axes, or the data labels in a chart for the Web

Remove a title, a legend, the axes, or the data labels in a chart for the Web

  1. Click the item you want to delete.

  2. Press DELETE.

Note When you delete a chart axis, the labels and tick marks along the axis are also removed.


Change the hole size in a doughnut chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the doughnut chart you want to change.

  3. If the Options section in the Chart Property Toolbox is not expanded, click the Options bar.

  4. In the Doughnut hole size box, type a number between 10 and 90 to specify, as a percent of the doughnut, the diameter of the hole.


Pull out slices in pie or doughnut charts for the Web

In doughnut and stacked pie charts, you can pull out slices in the outer ring only.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click twice the slice of the pie or doughnut chart you want to pull out.

  3. If the Point section in the Chart Property Toolbox is not expanded, click the Point bar.

  4. In the Explosion box, type a number to represent, as a percent of the radius, the distance between the point of the slice and the center of the doughnut or pie.

Tip To separate all slices the same distance from the center, click the pie or doughnut chart once so that the series is selected, and then click the Series bar. Type a number in the Explosion box to represent, as a percent of the radius, the distance between the center and all the slices.


Rotate the position of the slices in a doughnut or pie chart for the Web

The order in which data series are plotted in pie and doughnut charts is determined by the order of the source data. Use this procedure to rotate slices within the 360 degrees of the pie or doughnut circle.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the pie or doughnut chart you want to change.

  3. If the Options section in the Chart Property Toolbox is not expanded, click the Options bar.

  4. In the Angle of first slice box, type a number between 0 (zero) and 360 to specify the angle at which you want the first slice to appear.


Add a title to a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the chart to which you want to add a title.

  3. If the Chart section in the Chart Property Toolbox is not expanded, click the Chart bar.

  4. Select the Show title check box.

    A default title appears on the chart.

  5. Click the default title to select it.

  6. If the Title section in the Chart Property Toolbox is not expanded, click the Title bar.

  7. Replace the text in the Caption box with the title you want to display.

Notes

  • You can change the text, appearance, and position of the title.

  • You cannot insert a manual line break in a chart title.


Add data labels to a chart for the Web

The chart type associated with the selected data series or data point determines the type of data labels that can be added. You can change data labels after you add them.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the data series to which you want to add data labels.

  3. If the Series section in the Chart Property Toolbox is not expanded, click the Series bar.

  4. Click Add Data Labels [image] next to Add to series.

Note You cannot add a data label to a single data point.


Add a title to an axis in a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the axis to which you want to add a title.

  3. If the Axis section in the Chart Property Toolbox is not expanded, click the Axis bar.

  4. Click Show Axis Title [image].

    A default title is added to the axis.

  5. Click the default title to select it.

  6. If the Title section in the Chart Property Toolbox is not expanded, click the Title bar.

  7. Replace the text in the Caption box with the title you want to display.

Tip You can change the formatting and contents of the title.


Change a title in a chart or chart workspace for the WebChange a title in a chart for the Web

Change a title in a chart for the Web

You can change the caption, or contents of the title on an axis or the title in a chart. You can also change the placement of the title in a chart.

What do you want to do?

Change the text in the title

Change the placement of a title (not available for axis titles)

Change the font, color, or size of a title

Change the border width, border color, or background color of a title


Change the font and size of text in a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the axis title, data labels, R-squared label, equation label, or chart title that you want to change.

  3. If the Font section in the Chart Property Toolbox is not expanded, click the Font bar.

  4. Select the options you want.
    To make selected text | Click
    A different font | The font you want in the Font list
    A different font size | The font size you want in the Size list
    Bold | Bold
    Italic | Italic
    Underlined | Underline
    A different color | The arrow next to Font Color [image] , and then click the color you want


Change the placement of a title in a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the title you want to change.

  3. If the Title section in the Chart Property Toolbox is not expanded, click the Title bar.

  4. In the Placement list, click the option you want.

Note You cannot change the placement of an axis title.


Change the position of data labelsChange the position of data labels in a chart for the Web

Change the position of data labels in a chart for the Web

Data labels in pie and doughnut chart types are always centered and cannot be repositioned.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click a data label in the group of data labels that you want to change.

  3. If the Data Label section in the Chart Property Toolbox is not expanded, click the Data Label bar.

  4. Select an option in the Position list.


Change the text in a title in a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the title you want to change.

  3. If the Title section in the Chart Property Toolbox is not expanded, click the Title bar.

  4. Replace the text in the Caption box with the title you want to display.

Tips

  • You cannot insert a manual line break in a title.

  • You can change the font, size, attributes, or color of a title.


Change what is displayed in data labelsChange what's displayed in data labels in a chart for the Web

Change what's displayed in data labels in a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click a data label in the group of data labels you want to change.

  3. If the Data Label section in the Chart Property Toolbox is not expanded, click the Data Label bar.

  4. To show or hide the category names, series names, and/or values of the data points in your data labels, select or clear the appropriate check boxes.

  5. If you chose more than one check box in step 4, the text is separated by the character shown in the Separator box. To change the character, type a different character in the Separator box.

Notes

  • You can also change number formatting in data labels.

  • You cannot make changes to individual data labels. Changes affect all data labels in a series.


Change the appearance, contents, or placement of data labels in a chart for the WebChange data labels in a chart for the Web

Change data labels in a chart for the Web

You can change the contents of data labels to include values of the data points, category names, series names, or a combination. You can change the placement of data labels to be inside, outside, at the top, or at the bottom of data markers. Changes you make to an individual data label apply to all data labels in that series.

What do you want to do?

Change what's displayed in data labels

Change the position of data labels

Change the font, size, and color of data label text

Change the number formatting of data labels


Change the spacing of tick marks and labels on the category axis in a chart for the Web

Each category on the category axis is identified by a label and separated from other categories by tick marks. You can change the intervals at which labels and tick marks appear and specify where you want the value (y) axis to cross the category (x) axis.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the category axis you want to change.

  3. If the Scale section in the Chart Property Toolbox is not expanded, click the Scale bar.

  4. Do one or more of the following:

    Under Number of categories between, type a number in the Tick-mark labels box to specify the frequency at which category labels must be labeled. For example, type 1 to label every category, type 2 to label every other category, and so on. Type a number in the Tick-marks box to specify the number of categories you want between each pair of tick marks. For example, type 1 to have one category between each tick mark; or type 2 to have two categories between each tick mark.

    In the Crossing axis box, click the axis that you want to cross the category axis.

    Under Crosses at, click Automatic to have the chart determine where the crossing axis crosses the category axis. To specify where the crossing axis should cross the category axis, click Custom, and then enter a value in the Custom box.

    To reverse the direction of values on the axis, select the Show values in reverse order check box.

Note When you have more than one line of category axis labels (multiple-level category axis labels), you cannot change the number of categories between tick mark labels, the number of categories between tick marks, or where the value (y) axis crosses between categories.


Change the chart type in a chart for the Web

You can change the chart type for the entire chart or for individual data series within a chart.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the chart or data series that you want to change.

  3. If the General section in the Chart Property Toolbox is not expanded, click the General bar.

  4. Click Chart Type [image].

  5. In the Chart type list, click the chart type you want, and then in the Chart sub-type list, click the subtype you want.


About combining chart types in a chart for the Web

Combination charts A combination chart uses two or more chart types to emphasize that the chart contains different kinds of information. The chart in the following example shows one data series (Actual) as a column chart type and the other (Projected) as a line chart. To create this kind of overlay effect, you just change the chart type for one or more of the data series.

Split-value axis When the range of values for different data series varies widely, you can split the value axis so that space in the middle of the chart is removed, and values at both extremes are shown.

Combination chart with split-value axis


Change borders and interior colors in a chart for the WebChange a border and background color in a chart for the Web

Change a border and background color in a chart for the Web

You can change the border weight and color and the background color for the plot area, the legend, a single data marker, or a series of data markers.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the chart item you want to change.

  3. If the Format section in the Chart Property Toolbox is not expanded, click the Format bar.

  4. To change the border weight, click the option you want in the Border weight list.

    To change the border color, click the arrow next to Border color [image] and then click the color you want.

    To change the interior color of the object, click the arrow next to Interior color [image] and then click the color you want.


Change axis lines or gridlines in a chart for the WebChange the line color and weight in a chart for the Web

Change the line color and weight in a chart for the Web

You can change the line weight and color of series lines, axis lines, gridlines, trendlines, and borders.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the line or border you want to change.

  3. If the Format section in the Chart Property Toolbox is not expanded, click the Format bar.

  4. To change the line weight, click the weight you want in the Line weight list.

    To change the line color, click the arrow next to Line color [image], and then click the color you want.


Show or hide gridlines in a chart for the Web

Pie and doughnut charts do not have gridlines.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the axis for which you want to hide or display gridlines.

  3. If the Ticks and Gridlines section in the Chart Property Toolbox is not expanded, click the Ticks and Gridlines bar.

  4. Select or clear either or both the Major gridlines or Minor gridlines check boxes.

Tip You can change the line weight and color of gridlines.


Change the size, color, or shape of line, xy (scatter), or radar chart markersChange the size, color, or shape of data markers in an xy (scatter), line, or radar chart

Change the size, color, or shape of data markers in an xy (scatter), line, or radar chart

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Do one of the following:

    To change the shape or size of all data markers in a series, or to change border weight or color or interior color of all markers in a series, click the line with the data markers you want to change.

    To change the border weight or color or the interior color of an individual data marker, click the individual data marker.

  3. If the Format section in the Chart Property Toolbox is not expanded, click the Format bar.

  4. To change the border weight, click the option you want in the Border weight list.

    To change the border color, click the arrow next to Border color [image], and then click the color you want.

    To change the interior color, click the arrow next to the Interior color [image] and then click the color you want.

    If you selected an entire series and want to change the shape of all markers in the series, click the arrow next to Marker [image] and then click the shape you want.

    If you selected an entire series and want to change the marker's size, click a number in the Size list.

Tip To turn off markers for a specific series, you must change the chart type for that series to a subtype that does not have markers.


Rotate or flip the plot area in a chart for the WebRotate or flip the plot area of a chart for the Web

Rotate or flip the plot area of a chart for the Web

You can flip the plot area of a chart horizontally or vertically, and rotate it clockwise or counterclockwise in 90-degree increments.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the plot area that you want to change.

  3. If the Plot Area section in the Chart Property Toolbox is not expanded, click the Plot Area bar.

  4. To flip the plot area, click Flip Horizontal [image] or Flip Vertical [image].

    To rotate the plot area, click Rotate Clockwise [image] or Rotate Counterclockwise [image].


Overlap or space data markers in bar and column charts for the Web

You need to select only a single data series to change the overlap or spacing of all data series of the same chart type.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the chart you want to change.

  3. If the Options section in the Chart Property Toolbox is not expanded, click the Options bar.

  4. To change the overlap of the data markers in each category, type a number between –100 and 100 in the Overlap box. The higher the value, the greater the overlap within the category.

    To change the spacing between categories of data markers, type a number between 0 (zero) and 500 in the Gap width box. The higher the value, the greater the distance between each category.


Change an axis in a chart for the WebChange the axes in a chart for the Web

Change the axes in a chart for the Web

What do you want to do?

Learn more about the parts of an axis

Add or remove axes

Add an axis to a chart

Remove an axis

Format the axes

Change the axis position

Add a title to an axis

Change a title on an axis

Change the font or size of the axis value text

Change the line weight or color of the axis

Change the appearance of tick marks

Change the spacing of tick marks and labels on the category axis

Change the axis values

Split values in an axis scale

Change the number format of the axis values

Change the scale of the axis


Change the scale of the value axis in a chart for the Web

The scale specifies the range of values on an axis, the way the axis values are displayed, the intervals at which the values occur, and the point at which one axis crosses another.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the value axis you want to change.

  3. If the Scale section in the Chart Property Toolbox is not expanded, click the Scale bar.

  4. Do one or more of the following:

    Select the Custom maximum check box, and enter the highest value you want to appear on the axis in the Custom maximum box.

    Select the Custom minimum check box, and enter the lowest value you want to appear on the axis in the Custom minimum box.

    Select the Custom major unit check box, and enter the value to specify the interval between major tick marks and major gridlines in the Custom major unit box.

    Select the Custom minor unit check box, and enter the value to specify the interval between major tick marks and major gridlines in the Custom minor unit box.

    In the Crossing axis box, click the axis you want to cross the value axis.

    Under Crosses at, click Automatic to have the chart determine where the crossing axis crosses the value axis. To specify where the crossing axis should cross the value axis, click Custom, and then enter a value in the Custom box.

    To reverse the direction of values on the axis, select the Show values in reverse order check box.

    To recalculate values on the axis based on a power of 10, 2, or e, select the Logarithmic scale check box, and then click the power you want to use in the Use base list.

Tip To flip the direction of bars or columns in a bar or column chart, select the Show values in reverse order check box.


Change tick mark appearance on an axis in a chart for the WebChange the appearance of tick marks on an axis in a chart for the Web

Change the appearance of tick marks on an axis in a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the axis with the tick marks you want to change.

  3. If the Ticks and Gridlines section in the Chart Property Toolbox is not expanded, click the Ticks and Gridlines bar.

  4. In the Major tick marks and Minor tick marks lists, click the options you want.

Tip To hide tick marks, click None.


Split values in an axis scale in a chart for the WebSplit an axis to reduce space in a chart for the Web

Split an axis to reduce space in a chart for the Web

When you have very low and very high values in your chart, you can split the value axis so that all of the values are shown clearly. For example, if your values range from 0 to 100, with most values falling between 0 and 20 and between 80 and 100, you can split the axis so that it has two scales: The bottom scale ranges from 0 to 20, and the top scale ranges from 80 to 100, thus eliminating unnecessary chart space between 20 and 80.

Chart with split value axis

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the value axis that you want to split.

  3. If the Split Axis section in the Chart Property Toolbox is not expanded, click the Split Axis bar.

  4. Select the Split axis check box, and then enter a value in the Split begins at box (which marks the end of the first scale) and a value in the Split ends at box (which marks the beginning of the second scale).


Change the position of an axis in a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the axis that you want to change.

  3. If the Axis section in the Chart Property Toolbox is not expanded, click the Axis bar.

  4. In the Axis position list, click the option you want.


Add an axis to a chart for the Web

Pie and doughnut charts do not have axes.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the chart to which you want to add an axis.

  3. If the Chart section in the Chart Property Toolbox is not expanded, click the Chart bar.

  4. Click Add new category axis [image] or Add new value axis [image].

Tips

  • You can change the axis position, add a title, change the line weight and color, change the number formatting of the axis values, split the values on the axis, and more.

  • To enhance the readability of your chart, you can add more than one identical axes. For example, you can add a second value axis and change its position so that you have axes on both the left and right sides of your chart. Having an axis on both sides makes it easier to determine the values of the data points. Similarly, if you have a chart that is much taller than it is wide, you can switch the positions of the axes to the top and bottom sides of the chart.


Trendlines in charts for the Web

Trendlines are used to graphically display trends in data and to analyze problems of prediction. Such analysis is also called regression analysis. For example, the following chart uses a simple linear trendline across four quarters to clearly show a trend toward rising revenue.

Chart with linear trendline

Chart types that support trendlines You can add trendlines to data series in area, bar, column, line, stock, xy (scatter), polar, and bubble charts. If you change a chart to a type that can no longer support the associated trendline, you lose the trendlines. See examples of chart types.

More information

About choosing the best trendline for your data

Add a trendline to a data series

Equations for calculating trendlines


About choosing the best trendline for your data in a chart for the Web

This topic contains reference information about:

Using the R-squared value to determine the best trendline

Linear trendlines

Logarithmic trendlines

Polynomial trendlines

Power trendlines

Exponential trendlines

Using the R-squared value to determine the best trendline

When you want to add a trendline to a chart, you can choose any of the five different trend/regression types. The type of data you have determines the type of trendline you should use. How to add a trendline to a chart.

Trendline reliability and the R-squared value A trendline is most reliable when its R-squared value is at or near 1. The R-squared value, also known as the coefficient of determination, is an indicator that ranges in value from 0 to 1 and reveals how closely the estimated values for the trendline correspond to your actual data. When you fit a trendline to your data, its R-squared value is automatically calculated. If you want, you can display this value on your chart.

Return to top

Linear trendlines

A linear trendline is a best-fit straight line that is used with simple linear data sets. Your data is linear if the pattern in its data points resembles a line. A linear trendline usually shows that something is increasing or decreasing at a steady rate.

In the following example, a linear trendline clearly shows that refrigerator sales have consistently risen over a 13-year period. Notice that the R-squared value is 0.9036, which is a good fit of the line to the data.

Chart with linear trendline

Return to top

Logarithmic trendlines

A logarithmic trendline is a best-fit curved line that is most useful when the rate of change in the data increases or decreases quickly and then levels out. A logarithmic trendline can use negative and/or positive values.

The following example uses a logarithmic trendline to illustrate predicted population growth of animals in a fixed-space area, where population leveled out as space for the animals decreased. Note that the R-squared value is 0.9407, which is a relatively good fit of the line to the data.

Chart with logarithmic trendline

Return to top

Polynomial trendlines

A polynomial trendline is a curved line that is used when data fluctuates. It is useful, for example, for analyzing gains and losses over a large data set. The order of the polynomial can be determined by the number of fluctuations in the data or by how many bends (hills and valleys) appear in the curve. An Order 2 polynomial trendline generally has only one hill or valley. Order 3 generally has one or two hills or valleys. Order 4 generally has up to three.

The following example shows an Order 2 polynomial trendline (one hill) to illustrate the relationship between speed and gasoline consumption. Notice that the R-squared value is 0.9474, which is a good fit of the line to the data.

Chart with polynomial trendline

Return to top

Power trendlines

A power trendline is a curved line that is best used with data sets that compare measurements that increase at a specific rate — for example, the acceleration of a race car at 1-second intervals. Create a power trendline when your data contains values greater than 0 (zero). If you create a power trendline by using data that contains 0 or negative values, you will see the words "Trendline Error" in the equation label on the chart.

In the following example, acceleration data is shown by plotting distance in meters by seconds. The power trendline clearly demonstrates the increasing acceleration. Note that the R-squared value is 0.9923, which is a nearly perfect fit of the line to the data.

Chart with power trendline

Return to top

Exponential trendlines

An exponential trendline is a curved line that is most useful when data values rise or fall at increasingly higher rates. Create an exponential trendline when your data contains values greater than 0 (zero). If you create an exponential trendline by using data that contains 0 or negative values, you will see the words "Trendline Error" in the equation label on the chart.

In the following example, an exponential trendline is used to illustrate the decreasing amount of carbon 14 in an object as it ages. Note that the R-squared value is 1, which means the line fits the data perfectly.

Chart with exponential trendline

Return to top


Add a trendline to a data series in a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the data series to which you want to add a trendline.

  3. If the Series section in the Chart Property Toolbox is not expanded, click the Series bar.

  4. Click the Add a trendline button [image] beside Add to series.

Note A linear trendline, its equation, and its R-squared value are placed on the series. Other trendline types available are logarithmic, polynomial, power, and exponential. How to change the trendline type or settings.


Change a trendline in a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the trendline you want to change.

  3. If the Trendlines section in the Chart Property Toolbox is not expanded, click the Trendlines bar.

  4. To change the trendline type, click the arrow next to the Trendline type button [image] and select a type. Trendline types available are linear, logarithmic, polynomial, power, and exponential. To see the names of the trendline types, rest the pointer over each trendline type button. Learn about choosing the best trendline for your data.

    To change the order of a polynomial trendline, click in the Order box the highest power for the independent variable.

    To change the trendline name, which appears in the legend, click the Custom Name check box, and then type a new name in the box to the right.

    To show or hide the equation you use to calculate the trendline, select or clear the Display equation check box. Learn about equations for calculating trendlines.

    To show or hide the R-squared value, select or clear the Display R-squared value check box.

Tip You can change the line color or weight for the trendline, and you can change the font or size of text used for the trendline equation or R-squared value.


Show or hide the R-squared value for a trendline in a chart for the Web

The R-squared value, also known as the coefficient of determination, is an indicator that ranges in value from 0 to 1 and reveals how closely the estimated values for the trendline correspond to your actual data. A trendline is most reliable when its R-squared value is at or near 1. When you fit a trendline to your data, the Microsoft Office Chart Component automatically calculates the R-squared value for the trendline.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the trendline for which you want to show or hide the R-squared value.

  3. If the Trendlines section in the Chart Property Toolbox is not expanded, click the Trendlines bar.

  4. Select or clear the Display R-squared value check box.

Tips

  • You can also show or hide the equation that calculates the trendline.

  • You can change the font or size of text for the R-squared value and the equation that's displayed on the chart.

More information

Equations for calculating trendlines


Delete a trendline in a chart for the Web

  1. Click the trendline you want to delete.

  2. Press DELETE.


Show or hide the equation that calculates a trendline in a chart for the Web

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the trendline for which you want to show or hide the trendline equation.

  3. If the Trendlines section in the Chart Property Toolbox is not expanded, click the Trendlines bar.

  4. Select or clear the Display equation check box.

Tips

  • You can also show or hide the R-squared value for a trendline.

  • You can change the font or size of text for the R-squared value and the equation that's displayed on the chart.

More information

Equations for calculating trendlines


Equations for calculating trendlines in charts for the Web

Linear

Calculates the least squares fit for a line represented by the following equation:

where m is the slope and b is the intercept.

Polynomial

Calculates the least squares fit through points by using the following equation:

where b and Variable are constants.

Logarithmic

Calculates the least squares fit through points by using the following equation:

where c and b are constants, and ln is the natural logarithm function.

Exponential

Calculates the least squares fit through points by using the following equation:

where c and b are constants, and e is the base of the natural logarithm.

Power

Calculates the least squares fit through points by using the following equation:

where c and b are constants.

R-squared value

The R-squared value, also known as the coefficient of determination, is an indicator that ranges in value from 0 to 1 and reveals how closely the estimated values for the trendline correspond to your actual data. A trendline is most reliable when its R-squared value is at or near 1. When you fit a trendline to your data, the Microsoft Office Chart Component automatically calculates the R-squared value for the trendline by using the following equation:

Note The R-squared value you can display with a trendline is not an adjusted R-squared value. For logarithmic, power, and exponential trendlines, the Microsoft Office Chart Component uses a transformed regression model.


Error bars in charts for the Web

Error bars graphically express potential error amounts relative to each data marker in a data series. For example, you could show 5 percent positive and negative potential error amounts in the results of a scientific experiment:

Chart with error bars

Chart types that support error bars You can add error bars to data series in area, bar, column, line, xy (scatter), and bubble charts. For xy (scatter), polar, and bubble charts, you can display error bars for the x-values or the y-values. See examples of chart types.

More information

Add error bars to a data series

Equations for calculating the error amount


Add error bars to a data series in a chart for the Web

Error bars graphically express potential error amounts relative to each data marker in a data series. Learn more about error bars.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click the data series to which you want to add error bars.

  3. If the Series section in the Chart Property Toolbox is not expanded, click the Series bar.

  4. Click Add error bars [image] next to Add to series.

Notes

  • How to change the marker type, error calculation, and other error bar options.

  • If you change the source data associated with the data points in the series, the error bars are adjusted to reflect your changes.


Change error bar settings in a chart for the Web

When you select an error bar, any changes you make affect all the error bars in its associated data series.

  1. Display the Chart Property Toolbox if it is not already displayed.

    How?

  2. Click any error bar on your chart.

  3. If the Error Bar section in the Chart Property Toolbox is not expanded, click the Error Bar bar.

  4. To select a different type of error bar (plus or minus), click the arrow next to Display [image] and then click the type you want.

    To show or hide end caps on the error bars, click the arrow next to Marker [image], and then click the type you want.

    To change the method used to determine the error amount, click the method you want in the Error calculation list, and then type the number you want in the Fixed Value box or the Percentage box.

    To change the direction of the error bars so that they calculate based on x-values or y-values for (xy) scatter charts, polar charts, and bubble charts, click X or Y in the Direction list.


Delete error bars in a chart for the Web

You cannot delete an individual error bar. When you delete one error bar, all error bars for the entire data series are deleted.

  1. Click any error bar.

  2. Press DELETE.


Equations for calculating the error amount in a chart for the Web

Standard deviation

where:

s = series number

i = point number in series s

m = number of series for point y in chart

n = number of points in each series

Variable = data value of series s and the ith point

Variable = total number of data values in all series

M = arithmetic mean

Standard error


Keyboard shortcuts for selecting items in a chart for the Web

When a chart for the Web is active, you can select items in a chart by pressing the arrow keys. To activate a chart for the Web, see Help in your design program.

Press | To do this
RIGHT ARROW | Select the next item in the chart
LEFT ARROW | Select the previous item in the chart
DOWN ARROW | Select the next group of items
UP ARROW | Select the previous group of items


Troubleshoot charts for the Web

What do you need help with?

Designing

I can't use the chart wizard to modify an existing chart.

I canceled the chart wizard, and now I have a blank chart on my page.

I get an error message that says there is no data source on my Web page, and then a blank chart appears on my page.

Text is missing along the horizontal (x) axis of the chart.

My chart does not measure or display data the way I want.

My xy (scatter) chart does not use the right values along the horizontal (x) axis.

I can't move or resize chart items with the mouse in a chart.

I can't add or format an individual data label in a chart.

I can't add text to a chart.

I can't create a secondary value axis that uses a different scale in my chart for the Web

I can't change the colors of each data marker in a series in my chart for the Web.

I can't combine the chart types I want in a chart for the Web.

"Trendline Error" appears in the equation label for my trendline.

The chart for the Web that's based on my PivotTable list is blank or has no data.

Viewing in a browser or another program

I have a blank box on the Web page where my chart should be.

I published a chart from Microsoft Excel, but it contains no data when I view it in a design program or in the browser.

Users can't display or interact with my chart in the browser.

My chart for the Web does not update in the browser.

I published a chart from Microsoft Excel, but it looks different from what I created

I published a chart from Excel, and it has more data in it now than it did in Excel

Clicking the Edit button in my Web browser opens my Web page in the wrong program.


I can't use the chart wizard to modify an existing chart for the Web.

You can create new charts for the Web by using the Microsoft Office Chart Wizard, but you can't modify existing charts by using the chart wizard.

Use the Chart Property Toolbox If you want to change the chart type or formatting and display options in a chart, use the Chart Property Toolbox.

Change the data If you want to change the data in your chart, you need to change the data that the chart is based on (such as the spreadsheet, PivotTable list, table, or query you specified when you created the chart), so that the chart will automatically be updated.

Create a new chart If you want to use different source data for a chart (such as changing the source data from one table to another table), you must create a new chart.


I canceled the chart wizard, and now I have a blank chart on my Web page.

After you start the Microsoft Office Chart Wizard, it always creates a new chart on a Web page, even when you cancel the wizard before finishing. Because the wizard was canceled, the chart has no data to connect to, and is therefore blank.

Delete the blank chart, prepare your source data, if necessary, and click Chart Wizard [image] to start the process again.


I get an error message that there is no data source on my Web page, and then a blank chart appears on my page.

You must have a data source on or available to your Web page to create a chart for the Web. The data source can be a database table, view, or query, or a PivotTable list or a spreadsheet. Learn more about source data for charts for the Web.

Delete the blank chart that was created by the chart wizard, prepare your source data for use in the chart, and then click Chart Wizard [image] to create a new chart.


Text is missing along the horizontal (x) axis of the chart for the Web.

There might not be enough room in the chart to display all of the axis labels. If some of the category names aren't visible along the horizontal axis of the chart, try the following:

  • Enlarge the chart. See Help in your design program to learn how to select and resize the chart control.

  • Change the font size of the text on the horizontal (x) axis to be smaller.

  • If possible, shorten the category names in the source data.


My chart for the Web does not measure or display data the way I want.

Different chart types measure and accent different aspects of your data. For example, a pie chart is a good way to show the proportion of parts to the whole, and a column chart is better for comparing items or showing variation over time.

More information

Change the chart type

Examples of chart types


My xy (scatter) chart for the Web does not use the right values along the horizontal (x) axis.

If your category (x) axis displays numbers such as 1, 2, 3, 4 instead of the values you want, you might have selected a line chart instead of an xy (scatter) chart when you created the chart. Delete the chart, and then click Chart Wizard [image] . In the Microsoft Office Chart Wizard - Step 1 of 3 dialog box, click XY (scatter) in the Chart type box. If you want lines to connect the data markers, click one of the xy (scatter) subtypes that has lines.


I can't move or resize chart items with the mouse in a chart for the Web.

Chart items (such as the legend, plot area, data labels, and titles) can't be moved or resized with the mouse.

Moving

Most chart items can be moved by using the Position or Placement settings in the appropriate section of the Chart Property Toolbox. For example, you can rotate or flip the plot area of a chart, and you can pull out slices in pie or doughnut charts.

More information

Change the position of data labels

Change the placement of a title

Change the position of an axis

Move a legend

Rotate or flip the plot area

Pull out slices in pie or doughnut charts

Resizing chart items

By using the Chart Property Toolbox, you can resize the font that's used in axis labels, data labels, titles, and the legend; you can resize the doughnut holes in a doughnut chart; and you can resize the data markers in some types of charts. Other chart items are resized automatically when the size of the chart changes.

More information

Change the font and size of text

Change the hole size in a doughnut chart

Change the size, color, or shape of data markers in an xy (scatter), line, or radar chart


I can't add or format an individual data label in a chart for the Web.

You can add data labels only to an entire series. Changes you make to an individual data label apply to all data labels in that series. How to change the data labels in a chart for the Web.


I can't add text to a chart for the Web.

You can add titles to a chart and add titles to the axes in a chart. You can also add data labels to data markers. You can't add free-floating text to the chart. If necessary, add text to the Web page that contains the chart.


I can't create a secondary value axis that uses a different scale in my chart for the Web.

In Microsoft Excel, you can create a chart that uses a secondary value axis (that is, an axis with a different scale than the primary value axis) and then publish it with interactive functionality on a Web page. To retain the secondary value axis, do not modify the chart in another design program after you've published it.

When you create a chart for the Web in Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000, you can add a second value axis to your chart that has the same scale as the primary value axis. You can't add a secondary value axis that uses a different scale.


I can't change the colors of each data marker in a series in my chart for the Web.

You can create a chart that uses different colors for each data marker in a series in Microsoft Excel by using the Vary colors by point option. Then, you can publish the chart from Excel with interactive functionality on a Web page. To retain this feature, do not modify the series in another design program after you've published the chart.

When you create a chart for the Web in Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000, you can't change the colors for each data marker in a single series. Learn about working with charts that were published from Excel.


I can't combine the chart types I want in a chart for the Web.

When you create a chart for the Web in Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000, you can combine Column, Bar, Line, Area, Scatter, Range, and Open-High-Low-Close chart types. Other chart types can't be combined.

If you want to combine other chart types, such as pie and column, you can create the chart in Microsoft Excel and then publish the chart with interactive functionality on a Web page. To retain these combinations, do not modify the chart series in another design program. Learn about working with charts that were published from Excel.


"Trendline Error" appears in the equation label for my trendline.

"Trendline Error" appears in the equation label for power and exponential trendlines when your data contains zeros or negative values. Use a different type of trendline that's better suited for your data. Learn about choosing the best trendline for your data.


The chart for the Web that's based on my PivotTable list is blank or has no data.

Add total fields For a chart to reflect data in a PivotTable list, you must add at least one total field to the PivotTable list.

Move fields to the row and column areas The row and column fields in a PivotTable list make up the category and series data in your chart. If all the displayed fields are in the detail area, for example, the chart has no categories and series to plot. From the detail area or PivotTable Field List, move at least one field to the row area and one field to the column area.

For help working with a PivotTable list, see Help in the PivotTable Component.


I have a blank box on the Web page where my chart should be.

In a browser You can view and interact with charts for the Web in Microsoft Internet Explorer 4.01 and later. Your chart might be represented by a blank box in other browser versions. If this happens, close the page and re-open it in Internet Explorer 4.01 or later.

In a design program You can view and modify published charts for the Web in Microsoft FrontPage 2000 and data access page Design view in Microsoft Access 2000. Your chart might be represented by a blank box in other design programs, including Microsoft FrontPage 98. If FrontPage 98 is the latest version of FrontPage you have installed, it might start when you click the Edit command on the File menu in Internet Explorer 5. If this happens, close the page and re-open it in a supported program.


I published a chart from Excel, but the chart contains no data when I view it in a design program or in the browser.

To publish a chart to the Web from Microsoft Excel, you must include both x and y values in an xy (scatter) chart, and you must include x, y, and bubble size values in a bubble chart. Excel supplies default values if x values are not included in your data selection. These values appear in the chart in Excel, but they are not retained when you publish the chart as a Web page.

If you didn't include all necessary values in your chart, type them in Excel into a column that's adjacent to the chart's original data, re-create the chart, and re-publish it.


Users can't display or interact with my chart for the Web in the browser.

Install the Microsoft Office Web Components To view and work with charts for the Web, users must have the Office Web Components installed. They can do this by installing Microsoft Office 2000 or, if their company has a Microsoft Office 2000 site license, they can download the components from an intranet.

Check the browser version To interact with a chart, users also need Microsoft Internet Explorer version 4.01 or later. It's recommended that users have Internet Explorer 5, which comes with Microsoft Office 2000, to take full advantage of the interactive capabilities of the chart and its source data. To learn more about the level of interactivity with the chart's source data in different browser versions, see the Help for the source data.

Learn about how users in the browser can work with a chart for the Web.


My chart for the Web does not update in the browser.

If you published a chart from Microsoft Excel, you might not have chosen to publish the chart with interactive functionality. If you publish without interactive functionality, the chart displayed in the browser is static and is not connected to data. Get help publishing a chart from Microsoft Excel.


I published a chart from Microsoft Excel, but it looks different from what I created.

Some Microsoft Excel chart features are not retained or take on the default setting when published as a chart for the Web. For example, graphics in charts are not retained in a chart for the Web. Learn about how Excel features are converted in a chart for the Web.

More information

I published a chart from Microsoft Excel, but it's empty when I view it in the browser.

I published a chart from Excel, and it has more data in it now than it did in Excel.


I published a chart from Excel, and it has more data in it now than it did in Excel.

In Microsoft Excel, you can specify that a chart plot visible cells only. When this setting is enabled, the chart does not reflect data in hidden rows or columns within the data range that you use to create the chart. When you publish a chart, however, all data is reflected in the chart.

If you do not want the chart to reflect data in hidden rows or columns, you should unhide the rows and columns in the worksheet and move the data out of the data range you are using to create the chart before you publish the chart. See Excel Help for information on moving data in a worksheet. To change your chart after publishing, you can unhide and delete the entire rows or columns that have the data you do not want shown in the spreadsheet that is published with the chart. For information about deleting rows or columns, see Spreadsheet Component Help.


About determining whether the data series are in rows or columns

Data series are represented by names in the legend and appear as like-colored groups of data markers on your chart. The values for data series and the data series names can come from either the rows or columns of your data.

For example, if your data looks like this:

Data in a spreadsheet

and you want to use the data in columns A and B, with Europe as the legend entry and Qtr1, Qtr2, Qtr3, and Qtr4 as the category labels, you would click Columns for Series in. The resulting chart would look like the following example:


About specifying values in the Chart Wizard

This topic contains reference information about specifying values in the Chart Wizard for each of the following chart types:

Area

Column

Bar

Line and smooth line

Pie

Doughnut

Stock

XY (scatter)

Bubble

Radar

Polar

Area

Values you can set for each series in an area chart are:

Name or Series names When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the cell that contains the name of the currently selected series in the Series box, or type the text you want to use for a name. If your data is in a database table or query, click the arrow next to the Series names box and select the field that contains the names of your series. In the example, the series names are the state names (Utah, Washington, and so on) that appear in the legend.

Values These are the values that are contained in each series. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains the values for the currently selected series in the Series box. If your data is in a database table or query, click the arrow next to the Values box and select from the list the field that contains the values for the series that's selected in the Series names box. In the example above, each colored section of the chart represents a series of values.

Category (X) axis labels Categories are groups of data points made up of one data point from each data series in the chart. If your data comes from a spreadsheet, enter in this box the data range, preceded by an equal sign (=), that contains the labels for each category. If your data is from a database table or query, click the arrow next to the Category (X) axis labels box and select the field that contains your category labels. In the example, the years along the bottom of the chart are the category labels.

Return to top

Column

Values you can set for each series in a column chart are:

Name or Series names When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the cell that contains the name of the currently selected series in the Series box, or type the text you want to use for a name. If your data is in a database table or query, click the arrow next to the Series names box and select the field that contains the names of your series. In the example, the series name is Europe. You can have more than one series in a column chart.

Values These are the values contained in each series. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains the values for the currently selected series in the Series box. If your data is in a database table or query, click the arrow next to the Values box and select from the list the field that contains the values for the series that's selected in the Series names box. In the example above, the group of blue data markers represents one series of values.

Category (X) axis labels Categories are groups of data points made up of one data point from each data series in the chart. If your data comes from a spreadsheet, enter in this box the data range, preceded by an equal sign (=), that contains the labels for each category. If your data is from a database table or query, click the arrow next to the Category (X) axis labels box and select the field that contains your category labels. In the example, the labels (such as Qtr1 and Qtr2) along the bottom of the chart are the category labels.

Return to top

Bar

Values you can set for each series in a bar chart are:

Name or Series names When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the cell that contains the name of the currently selected series in the Series box, or type the text you want to use for a name. If your data is in a database table or query, click the arrow next to the Series names box and select the field that contains the names of your series. In the example above, the series names are Property and Gasoline.

Values These are the values contained in each series. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains the values for the currently selected series in the Series box. If your data is in a database table or query, click the arrow next to the Values box and select from the list the field that contains the values for the series that's selected in the Series names box. In the example above, each like-colored group of data markers represents one series of values.

Category (Y) axis labels Categories are groups of data points made up of one data point from each data series in the chart. If your data comes from a spreadsheet, enter in this box the data range, preceded by an equal sign (=), that contains the labels for each category. If your data is from a database table or query, click the arrow next to the Category (Y) axis labels box and select the field that contains your category labels. In the example, the labels (1st Year, 2nd Year, and 3rd Year) along the left side of the chart are the category labels.

Return to top

Line and smooth line

Values you can set for each series in a line chart or smooth line chart are:

Name or Series names When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the cell that contains the name of the currently selected series in the Series box, or type the text you want to use for a name. If your data is in a database table or query, click the arrow next to the Series names box and select the field that contains the names of your series. You can have more than one series in a column chart. In the example, the series names are Europe, S. America, and East Asia.

Values These are the values contained in each series. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains the values for the currently selected series in the Series box. If your data is in a database table or query, click the arrow next to the Values box and select from the list the field that contains the values for the series that's selected in the Series names box. In the example above, the groups of green, blue, and purple data markers represent three series of values.

Category (X) axis labels Categories are groups of data points made up of one data point from each data series in the chart. If your data comes from a spreadsheet, enter in this box the data range, preceded by an equal sign (=), that contains the labels for each category. If your data is from a database table or query, click the arrow next to the Category (X) axis labels box and select the field that contains your category labels. In the example, the labels (such as Qtr1 and Qtr2) along the bottom of the chart are the category labels.

Return to top

Pie

Stacked pie chart

Values you can set for each series in a pie chart or stacked pie chart are:

Name or Series names When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the cell that contains the name of the currently selected series in the Series box, or type the text you want to use for a name. If your data is in a database table or query, click the arrow next to the Series names box and select the field that contains the names of your series. Stacked pie charts can have more than one series (each pie is one series). Regular pie charts have only one series. In the stacked pie chart example above, the series names are Units Sold (inner pie) and Gross Sales (outer pie), which appear on the chart as a chart title.

Values These are the values contained in each series. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains the values for the currently selected series in the Series box. If your data is in a database table or query, click the arrow next to the Values box and select from the list the field that contains the values for the series that's selected in the Series names box. In the example above, each pie represents one series of values.

Category (X) axis labels Categories are groups of data points made up of one data point from each data series in the chart. If your data comes from a spreadsheet, enter in this box the data range, preceded by an equal sign (=), that contains the labels for each category. If your data is from a database table or query, click the arrow next to the Category (X) axis labels box and select the field that contains your category labels. In the example, the labels (such as Sandwiches, Salads, and Soup) in the legend are the category labels.

Return to top

Doughnut

Values you can set for each series in a doughnut chart are:

Name or Series names When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the cell that contains the name of the currently selected series in the Series box, or type the text you want to use for a name. If your data is in a database table or query, click the arrow next to the Series names box and select the field that contains the names of your series. In a doughnut chart, each ring is a series. In the example above, the series names are Property Taxes (outer ring) and Gasoline (inner ring), which appear on the chart as a chart title.

Values These are the values contained in each series. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains the values for the currently selected series in the Series box. If your data is in a database table or query, click the arrow next to the Values box and select from the list the field that contains the values for the series that's selected in the Series names box. In the example above, each ring represents one series of values.

Category (X) axis labels Categories are groups of data points made up of one data point from each data series in the chart. If your data comes from a spreadsheet, enter in this box the data range, preceded by an equal sign (=), that contains the labels for each category. If your data is from a database table or query, click the arrow next to the Category (X) axis labels box and select the field that contains your category labels. In the example, the labels 1st Year and 2nd Year, which are shown in the legend, are the category labels.

Return to top

Stock

Data to be charted and stock chart

Values you can set for each series in a stock chart are:

Name or Series names When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the cell that contains the name of the series in the Series box, or type the text you want to use for a name. If your data is in a database table or query, click the arrow next to the Series names box and select the field that contains the names of your series. In a stock chart, each series consists of open, high, low, and close values. In the example above, the series name is Close.

Open values This option appears only if you chose Open-High-Low-Close as your chart type. These are the values in the column that contains your Open values. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range for that column. If your data is in a database table or query, click the arrow next to the Open Values box and select the field that contains your Open values. (In the example, Open values are not plotted.)

High values These are the values in the column that contain your High values. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range for that column. If your data is in a database table or query, click the arrow next to the High Values box and select the field that contains your High values. In the example, the High values are represented by the top of each vertical line in the series.

Low values These are the values in the column that contain your Low values. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range for that column. If your data is in a database table or query, click the arrow next to the Low Values box and select the field that contains your Low values. In the example, the Low values are represented by the bottom of each vertical line in the series.

Close values These are the values in the column that contain your Close values. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range for that column. If your data is in a database table or query, click the arrow next to the Close Values box and select the field that contains your Close values. In the example, the Close values are represented by the blue horizontal line that extends from each vertical line in the series.

Category (X) axis labels Categories are groups of data points made up of one data point from each data series in the chart. If your data comes from a spreadsheet, enter in this box the data range, preceded by an equal sign (=), that contains the labels for each category. If your data is from a database table or query, click the arrow next to the Category (X) axis labels box and select the field that contains your category labels. In the example, the dates are the category labels.

Return to top

XY (scatter)

Data to be charted

XY (scatter) chart

Values you can set for each series in an XY (scatter) chart are:

Name or Series names When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the cell that contains the name of the series in the Series box, or type the text you want to use for a name. If your data is in a database table or query, click the arrow next to the Series names box and select the field that contains the names of your series. In the example above, the series names are Temperature and Predicted Temperature.

X values These are the values that are measured on the x-axis of your chart. In the example above, the x values are times. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains your x values. If your data is in a database table or query, click the arrow next to the X Values box and select the field that contains your x values.

Y values These are the values that are measured on the y-axis of your chart. In the example above, the y values are temperatures. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains your y values. If your data is in a database table or query, click the arrow next to the Y Values box and select the field that contains your y values.

Category labels These are values (usually text) used for data labels, which you can add to the chart after it is created, and then modify to show category names. You must specify these values if you want to show category names as part of your data labels. Specifying values for this option does not automatically add data labels to your chart. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains the values you want to use. If your data is in a database table or query, click the arrow next to the Category labels box and select the field that contains the values.

Return to top

Bubble

Data to be charted

Values you can set for each series in a bubble chart are:

Name or Series names When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the cell that contains the name of the series in the Series box, or type the text you want to use for a name. If your data is in a database table or query, click the arrow next to the Series names box and select the field that contains the name or names of your series. The example above has one series which was not named. When a series is not named, the default name Series appears in the legend. To keep the word Series from appearing in the chart, the legend is not displayed in the example.

X values These are the values that are measured on the x-axis of your chart. In the example above, the x values are the numbers of products. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains your x values. If your data is in a database table or query, click the arrow next to the X Values box and select the field that contains your x values.

Y values These are the values that are measured on the y-axis of your chart. In the example above, the y values are sales in dollar amounts. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains your y values. If your data is in a database table or query, click the arrow next to the Y Values box and select the field that contains your y values.

Sizes These are the values used to determine the size of the bubble markers. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains your sizes. If your data is in a database table or query, click the arrow next to the Sizes box to select the field that contains your size values.

Category labels These are values (usually text) used for data labels, which you can add to the chart after it is created, and then modify to show category names. You must specify these values if you want to show category names as part of your data labels. Specifying values for this option does not automatically add data labels to your chart. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains the values you want to use. If your data is in a database table or query, click the arrow next to the Category labels box and select the field that contains the values.

Return to top

Radar

Values you can set for each series in a radar chart are:

Name or Series names When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the cell that contains the name of the currently selected series in the Series box, or type the text you want to use for a name. If your data is in a database table or query, click the arrow next to the Series names box and select the field that contains the names of your series. In the example above, the series names are Brand A, Brand B, and Brand C.

Values These are the values contained in each series. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains the values for the currently selected series in the Series box. If your data is in a database table or query, click the arrow next to the Values box and select from the list the field that contains the values for the series that's selected in the Series names box. In the example above, each colored line represents one series of values.

Category (X) axis labels Categories are groups of data points made up of one data point from each data series in the chart. If your data comes from a spreadsheet, enter in this box the data range, preceded by an equal sign (=), that contains the labels for each category. If your data is from a database table or query, click the arrow next to the Category (X) axis labels box and select the field that contains your category labels. In the example above, the labels such as Vitamin C and Vitamin B2 are the category labels.

Return to top

Polar

Values you can set for each series in a polar chart are:

Name or Series names When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the cell that contains the name of the currently selected series in the Series box, or type the text you want to use for a name. If your data is in a database table or query, click the arrow next to the Series names box and select the field that contains the names of your series. In the example above, the series names are "1/2-lambda height, elevation angle 30 degrees" and "1-lambda height, elevation angle 15 degrees."

R values These are the R values contained in each series. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains the R values for the currently selected series in the R Values box. If your data is in a database table or query, click the arrow next to the R Values box and select from the list the field that contains the values for the series that's selected in the Series names box.

Theta values These are the Theta values contained in each series. When your data comes from a spreadsheet, enter in this box the reference to the data range, preceded by an equal sign (=), that contains the Theta values for the currently selected series in the Series box. If your data is in a database table or query, click the arrow next to the Theta Values box and select from the list the field that contains the values for the series that's selected in the Series names box.

Category labels These are values (usually text) used for data labels, which you can add to the chart after it is created, and then modify to show category names. You must specify these values if you want to show category names as part of your data labels. Specifying values for this option does not automatically add data labels to your chart. When your data comes from a spreadsheet, enter in this box the reference, preceded by an equal sign (=), to the data range that contains the values you want to use. If your data is in a database table or query, click the arrow next to the Category labels box and select the field that contains the values.

Return to top


Microsoft Office Chart Wizard - Step 3a

In this step of the wizard, you choose whether the data in the rows or columns of your table or query is plotted as data series, which are represented in the legend.

The option you choose affects the options that will be available in the next step of the wizard.

Entries for the legend in one column

As the example in the wizard shows, when you choose this option, you use values from rows as your data series, each of which is represented in the legend by a name and color key. In the chart wizard example, the values from rows in the second column (Jazz and Rock) are plotted as series names and are displayed in the legend. The values from the rows in the third column are the values that make up each series. The values from the rows in the first column (the years 1995 and 1996) make up the category labels. When you choose this option, you specify in the next step of the wizard the columns in your table that contain the rows with your series names and values.

Entries for the legend in multiple columns

Use this option when your data is organized as a crosstab table. When you choose this option, you use values from across columns as your data series. In the chart wizard sample, Jazz and Rock are arranged in two different columns and are plotted as series names, which are displayed in the legend. The values in each row make up the values for each series, while the values from the first column (the years 1995 and 1996) are used as category names. When you choose this option, you can specify in the next step of the wizard the rows in your table or query that contain series names and values and the column to use for category labels.


Microsoft Office Chart Wizard - Step 3

In this step, you can specify whether the data series in your chart should be plotted from the rows or columns of your PivotTable list.

Data series are represented by names in the legend and appear as like-colored groups of data markers on your chart. The values for data series and the data series names can come from either the rows or columns of your data.

For example, if your PivotTable list looks like this:

and you want your chart to use the Type field (Beverages, Dairy, and so on) as legend entries and the Salesperson field (Buchanan, Davolio, and so on) as the categories in the chart, then you would select Rows for the Series in option. The resulting chart would look like the following example:

Chart based on PivotTable list

Learn more about creating and using a chart based on a PivotTable list


Example: Adding a data series to a chart for the Web by using the chart wizard

A data series is a group of related values that is represented in the legend. Each series contains values and sometimes a category label. When you add a series by using spreadsheet data in the Microsoft Office Chart Wizard, you type cell references to the values and labels you want to use for each series.

For example, if your spreadsheet looks like this:

Data in a spreadsheet

and you want your chart to look like this:

you would add an empty series in the Series box and then, with that series selected, specify the following information.

Box | Entry
Name | =B1 (or the text value Europe)
Values | =B2:B5
Category (X) axis labels | =A2:A5

Note To learn more about using spreadsheet cell references, see the Microsoft Office Spreadsheet Component Help.


Microsoft Office Chart Wizard - Step 1

The Microsoft Office Chart Wizard helps you create a chart on a Web page that you can make available for others to view in a browser. When the data for the chart changes, the chart updates — so your users can always see the latest information.

The wizard steps you through the process of selecting a chart type, choosing the data you want to chart, and then selecting how the data should be plotted. Learn more about the process of creating a chart for the Web.

Select a chart type

In this step of the wizard, you can select a chart type and a chart subtype. Each chart type has two or more subtypes from which to choose. The type and subtype you use depend on the kind of data you want to plot and how you want to convey that data to the viewer. Examples of chart types.


Microsoft Office Chart Wizard - Step 2

Select the data source for your chart

In this step of the wizard, you select the data you want to display in your chart. To do this, select a data source from the Available data sources list, and then select the data made available by that source in the second list. For example, if you select a database table or query as your data source, you can then select from the Available Database Tables list the individual table or query you want to use from that database.

If you do not see the data you want to use in the list, make sure that the data is available and that you have proper access to it. PivotTable lists and spreadsheets will be available in the list only if they exist on the Web page where you want to put the chart. You might have to cancel the wizard to prepare your data source if you have not done so already. When you cancel the wizard, you should select and delete the blank chart that is created on the Web page.

Learn more about source data for a chart for the Web.


Microsoft Office Chart Wizard - Step 3

In this step of the wizard, you can specify which data from the spreadsheet you want to use in your chart.

If the data on the spreadsheet was selected before you started the wizard, you should see a preview chart that uses the selected data range. If the preview chart looks the way you want, the data range is entered correctly.

If the preview chart does not look the way you want, or if there is not a preview because you did not have a range previously selected, you can enter or change the data range in one of two ways:

  • Set the chart's data in one step, which allows you to enter the reference for the entire data range rather than for one series at a time. This is the easiest way to set the data range for the chart. Only one range of data can be specified by using this method.

  • Specify data for the chart one series at a time, which allows you to add or remove individual series and specify the series name, values, category (x) labels, or other values for each series, depending on your chart type. This is a more time-consuming way to specify the data for your chart, but it allows you more control over how your data is plotted. For instance, by using this method, you can plot data ranges that are not adjacent to each other. This method is recommended for experienced users.

Learn more about setting values for each chart type.


Microsoft Office Chart Wizard - Step 3b

In this step of the wizard, you choose which columns or rows from your table or query contain your data series names and values and other types of values, such as category labels.

If you selected Entries for the legend are in one column in the previous step, click the arrow next to the box for each option and select available field names or values from the lists provided.

If you selected Entries for the legend are in multiple columns in the previous step, click the Add button under the Series box to add each series, and then type names for each of your series in the Series names box. Select available values and labels from the lists provided.

The options vary depending on the chart type you chose in Step 1 of the wizard. The preview chart will show you what your chart will look like with the options you choose. If the chart does not look the way you want, select different values until you're satisfied.

Learn more about setting values for each chart type.


Set the chart's data in one step

  1. If you have not done so already, click the Set this chart's data in one step button.

  2. Enter the reference of the data range you want to chart, preceded by an equal sign (=) and separated by a colon (:). For example, if the data you want to use is in columns A and B and rows 1 and 2 on the spreadsheet, type:

    =A1:B2

  3. To specify whether your series data should come from the rows or columns of your spreadsheet, click Rows or Columns next to Series in.

  4. Click OK to return to Step 3 of the chart wizard.

More information

About determining whether data for the series are in rows or columns


Specify data for the chart one series at a time

  1. Do one of the following:

    To modify a series, click the series you want to change in the Series box.

    To add a series, click the Add button under the Series box.

  2. In the Name box, type a text value or a cell reference to the value for the name of your series. Precede a cell reference with an equal sign (=).

  3. In the Values box, type the range of cells that represent the values for your series, preceded by an equal sign (=) and separated by a colon (:).

    For example, if the values for the series are in column B and rows 1 through 5, type the following:

    =B1:B5

  4. In each of the remaining boxes, type the range of cells that represent the values you want to use.

    The values available for you to specify will vary depending on the chart type you chose in Step 1 of the wizard.

Note You can use only references, not text values or numbers, in the Values box and in the Category (Y) axis labels, Category (X) axis labels, or Category labels boxes.

More information

Example: Adding a series in the chart wizard

Learn more about setting values for each chart type


Clicking the Edit button in my Web browser opens my Web page in the wrong program.

Which programs are available from the Edit button in the Web browser depends on how the page was published.

If clicking the Edit button in your Web browser opens a program that you do not want to use, close the program, start the program you want to use, and open the Web page from there.